<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/include/Settings/SetSettingResult.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a></li><li class="navelem"><a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">SetSettingResult.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_set_setting_result_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_set_setting_result_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_set_setting_result_8hdep" id="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_set_setting_result_8hdep">
<area shape="rect" id="node2" href="_d_n_d_setting_protocol_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DNDSettingProtocol.h" alt="" coords="27,205,285,271"/>
<area shape="rect" id="node5" href="_setting_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/Setting.h" alt="" coords="508,212,660,264"/>
<area shape="rect" id="node20" href="_setting_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingInterface.h" alt="" coords="606,105,788,157"/>
<area shape="rect" id="node29" href="_setting_protocol_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingProtocolInterface.h" alt="" coords="286,105,516,157"/>
<area shape="rect" id="node3" href="_d_n_d_setting_protocol_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/src/DNDSetting\lProtocol.cpp" alt="" coords="65,319,265,384"/>
<area shape="rect" id="node4" href="_do_not_disturb_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/src/DoNotDisturb\lCapabilityAgent.cpp" alt="" coords="5,559,216,624"/>
<area shape="rect" id="node6" href="_do_not_disturb_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DoNotDisturbCapability\lAgent.h" alt="" coords="356,432,622,511"/>
<area shape="rect" id="node19" href="_setting_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/SettingTest.cpp" alt="" coords="289,332,508,371"/>
<area shape="rect" id="node7" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="546,559,773,624"/>
<area shape="rect" id="node18" href="_do_not_disturb_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/test/DoNotDisturb\lCapabilityAgentTest.cpp" alt="" coords="307,559,521,624"/>
<area shape="rect" id="node8" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="300,672,529,724"/>
<area shape="rect" id="node9" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="794,772,1017,824"/>
<area shape="rect" id="node16" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="552,672,767,724"/>
<area shape="rect" id="node10" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="796,872,1014,924"/>
<area shape="rect" id="node15" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="566,872,772,924"/>
<area shape="rect" id="node11" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="796,972,1015,1024"/>
<area shape="rect" id="node14" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="569,972,772,1024"/>
<area shape="rect" id="node12" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="806,1072,1004,1111"/>
<area shape="rect" id="node13" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="410,1072,690,1111"/>
<area shape="rect" id="node17" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="494,779,770,817"/>
<area shape="rect" id="node21" href="_device_settings_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/DeviceSettingsManager.h" alt="" coords="583,325,812,377"/>
<area shape="rect" id="node25" href="_settings_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingsManager.h" alt="" coords="735,212,923,264"/>
<area shape="rect" id="node28" href="_mock_setting_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/Settings\l/MockSetting.h" alt="" coords="947,212,1122,264"/>
<area shape="rect" id="node22" href="_u_i_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UIManager.h" alt="" coords="946,565,1120,617"/>
<area shape="rect" id="node24" href="_settings_manager_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/Settings\lManagerTest.cpp" alt="" coords="748,445,924,497"/>
<area shape="rect" id="node23" href="_u_i_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UIManager.cpp" alt="" coords="942,679,1177,717"/>
<area shape="rect" id="node26" href="_setting_callback_adapter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingCallbackAdapter.h" alt="" coords="908,325,1134,377"/>
<area shape="rect" id="node27" href="_setting_callbacks_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/SettingCallbacks.h" alt="" coords="947,445,1135,497"/>
<area shape="rect" id="node30" href="_mock_setting_protocol_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/Settings\l/MockSettingProtocol.h" alt="" coords="308,212,484,264"/>
</map>
</div>
</div>
<p><a href="_set_setting_result_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a15f12c618d4b135e4f8eb35afe8a2ac5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a> { <br />
&#160;&#160;<a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a1b7e0a590f9d0878bcc4b725e2998cb1">SetSettingResult::NO_CHANGE</a>, 
<a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a2dd46327778dc43d97ce8fbe647d7a5e">SetSettingResult::ENQUEUED</a>, 
<a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4">SetSettingResult::BUSY</a>, 
<a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a7fb8945c24da1480ac642eda51db249c">SetSettingResult::UNAVAILABLE_SETTING</a>, 
<br />
&#160;&#160;<a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5ae8c0c70879b5895c615677261d64a1ee">SetSettingResult::INTERNAL_ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a15f12c618d4b135e4f8eb35afe8a2ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a15f12c618d4b135e4f8eb35afe8a2ac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15f12c618d4b135e4f8eb35afe8a2ac5">&#9670;&nbsp;</a></span>SetSettingResult</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enumerates possible return values for set settings functions. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a15f12c618d4b135e4f8eb35afe8a2ac5a1b7e0a590f9d0878bcc4b725e2998cb1"></a>NO_CHANGE&#160;</td><td class="fielddoc"><p class="">The set value is already the current setting value and there is no change in progress. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15f12c618d4b135e4f8eb35afe8a2ac5a2dd46327778dc43d97ce8fbe647d7a5e"></a>ENQUEUED&#160;</td><td class="fielddoc"><p class="">The change request has been enqueued. There will be a follow up notification to inform the operation result. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4"></a>BUSY&#160;</td><td class="fielddoc"><p class="">The request failed because there is already a value change in process and the setter requested change to abort if busy. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15f12c618d4b135e4f8eb35afe8a2ac5a7fb8945c24da1480ac642eda51db249c"></a>UNAVAILABLE_SETTING&#160;</td><td class="fielddoc"><p class="">The request was failed because the setting requested does not exist. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15f12c618d4b135e4f8eb35afe8a2ac5ae8c0c70879b5895c615677261d64a1ee"></a>INTERNAL_ERROR&#160;</td><td class="fielddoc"><p class="">The request failed due to some internal error. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
